Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# GraphEditorWindow Class Reference

List of all members.

## Public Member Functions
def | __init__
def | DrawCurve
def | DrawFrame
def | drawHandler
def | drawKeys
def | DrawSelectRec
def | drawSingleCurve
def | drawX
def | DrawXCoord
def | drawXNumber
def | drawY
def | DrawYCoord
def | drawYNumber
def | drawZ
def | generateHandler
def | generateInfo
def | InitBuffer
def | inside
def | onAnimation
def | OnLeftDown
def | OnLeftUp
def | OnMiddleDown
def | OnMiddleUp
def | OnMotion
def | OnPaint
def | OnSize
def | recalculateSlope
def | recalculateSlopeBase
def | refresh
def | selectHandler
def | setExistKey
def | SetGraphEditorData
def | setNewKey
def | setSelection
def | setSelectionBase
## Public Attributes
| buffer
| curFrame
| h
| keyFramesInfo
| midPos
| newMidPos
| newPos
| object
| pos
| property
| th
| unitHeight
| unitWidth
| X
| Y
| Z
| zero
| zeroPos
| zoom

## Detailed Description

    This is the main graph editor window.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | parent,
|  |  | windowSize,
|  |  | property,
|  |  | xRange,
|  |  | yRange,
|  |  | curFrame,
|  |  | object
| ) |  |

## Member Function Documentation

def DrawCurve | ( |  | self,
|  |  | dc
| ) |  |

def DrawFrame | ( |  | self,
|  |  | dc
| ) |  |

def drawHandler | ( |  | self,
|  |  | list,
|  |  | dc
| ) |  |

def drawKeys | ( |  | self,
|  |  | list,
|  |  | dc
| ) |  |

def DrawSelectRec | ( |  | self,
|  |  | dc
| ) |  |

def drawSingleCurve | ( |  | self,
|  |  | list,
|  |  | dc
| ) |  |

def drawX | ( |  | self,
|  |  | dc
| ) |  |

def DrawXCoord | ( |  | self,
|  |  | dc
| ) |  |

def drawXNumber | ( |  | self,
|  |  | dc,
|  |  | st,
|  |  | pos
| ) |  |

def drawY | ( |  | self,
|  |  | dc
| ) |  |

def DrawYCoord | ( |  | self,
|  |  | dc
| ) |  |

def drawYNumber | ( |  | self,
|  |  | dc,
|  |  | st,
|  |  | pos
| ) |  |

def drawZ | ( |  | self,
|  |  | dc
| ) |  |

def generateHandler | ( |  | self,
|  |  | item
| ) |  |

def generateInfo | ( |  | self | ) |

def InitBuffer | ( |  | self | ) |

def inside | ( |  | self,
|  |  | point0,
|  |  | point1,
|  |  | point
| ) |  |

def onAnimation | ( |  | self | ) |

def OnLeftDown | ( |  | self,
|  |  | evt
| ) |  |

def OnLeftUp | ( |  | self,
|  |  | evt
| ) |  |

def OnMiddleDown | ( |  | self,
|  |  | evt
| ) |  |

def OnMiddleUp | ( |  | self,
|  |  | evt
| ) |  |

def OnMotion | ( |  | self,
|  |  | evt
| ) |  |

def OnPaint | ( |  | self,
|  |  | evt
| ) |  |

def OnSize | ( |  | self,
|  |  | evt
| ) |  |

def recalculateSlope | ( |  | self | ) |

def recalculateSlopeBase | ( |  | self,
|  |  | list
| ) |  |

def refresh | ( |  | self | ) |

def selectHandler | ( |  | self | ) |

def setExistKey | ( |  | self,
|  |  | list
| ) |  |

def SetGraphEditorData | ( |  | self,
|  |  | property,
|  |  | curFrame = `1`
| ) |  |

def setNewKey | ( |  | self,
|  |  | list
| ) |  |

def setSelection | ( |  | self | ) |

def setSelectionBase | ( |  | self,
|  |  | list
| ) |  |

## Member Data Documentation

buffer

curFrame

h

keyFramesInfo

midPos

newMidPos

newPos

object

pos

property

th

unitHeight

unitWidth

X

Y

Z

zero

zeroPos

zoom

All Classes Namespaces Functions Variables Enumerations Enumerator Properties